Subject: Re: linux-next: build failure after merge of the ecryptfs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 May 2019 14:49:42 +1000

Hi Masahiro,

On Tue, 14 May 2019 13:16:37 +0900 Masahiro Yamada <[email-masked]> wrote:
>
> If you are talking about the rebuild of
> .tmp_versions/*.mod files,
> yes, they are cleaned up every time.
> 
> # Create temporary dir for module support files
> # clean it up only when building all modules
> cmd_crmodverdir = $(Q)mkdir -p $(MODVERDIR) \
>                   $(if $(KBUILD_MODULES),; rm -f $(MODVERDIR)/*)
> 
> 
> I think the reason is that
> we want to make sure stale modules are not remaining
> when CONFIG_MY_DRIVER=m is turned into CONFIG_MY_DRIVER=n
> 
> 
> Rebuilding .mod files is not expensive.
> 
> I think this behavior can be improved, but
> that is how it has been working for a long time.

when you say "not expensive", how long is that?  Because an x86_64
allmodconfig build currently produces 7313 of those files, so at .01
seconds each (for example) that would add over a minute to each of my
builds ... and I do lots of builds every day.  OK, so it may not be
that significant (so a millisecond each is obviously not a problem),
but just wondering if it can be avoided.

-- 
Cheers,
Stephen Rothwell